Bug 102930 - [IGT] gem_evict_everything@swapping-hang failed assertion ret == 0, in function swapping_evictions, error: -5 != 0
Summary: [IGT] gem_evict_everything@swapping-hang failed assertion ret == 0, in funct...
Status: RESOLVED INVALID
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-21 18:38 UTC by Luis Botello
Modified: 2019-08-30 17:32 UTC (History)
3 users (show)

See Also:
i915 platform: BXT, CFL, GLK
i915 features: display/Other


Attachments
IGT-output (2.32 KB, text/plain)
2017-09-21 18:38 UTC, Luis Botello
no flags Details
dmesg (109.53 KB, text/plain)
2017-12-15 22:28 UTC, Octavio
no flags Details
kernel log (169.73 KB, text/plain)
2017-12-15 22:28 UTC, Octavio
no flags Details
Kernel log (comment 7) (15.07 MB, text/plain)
2018-01-12 16:02 UTC, Hector Velazquez
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luis Botello 2017-09-21 18:38:36 UTC
Created attachment 134413 [details]
IGT-output

Configuration:
--------------
Component: drm
    tag: libdrm-2.4.81-55-g76418c2
    commit: 76418c244d4c52a8dd20809e3e8b4e70501fc76f

Component: cairo
    tag: 1.15.6-38-g1220e3c
    commit: 1220e3c6b8f94a00ac7afee15f21e6782655d97c

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.19-312-gda197b5
    commit: da197b5f3cb516aaaea72d0d60b0f5c1c81081dd

Component: piglit
    tag: piglit-v1
    commit: 2753955998d7deb90f681cf4cb1253c4519dfd1d

commit 2afdfe9be8345f9499f3d00ba13c05f1f23344d1
Author:     Jani Nikula <jani.nikula@intel.com>
AuthorDate: Tue Sep 19 18:41:27 2017 +0300
Commit:     Jani Nikula <jani.nikula@intel.com>
CommitDate: Tue Sep 19 18:41:27 2017 +0300

    drm-tip: 2017y-09m-19d-15h-40m-56s UTC integration manifest


Steps:
------
1. Execute IGT tests:
# ./gem_evict_everything --r swapping-hang

Actual results:
---------------
Test produces a GPU hang

dmesg
------------
[   73.988581] Setting dangerous option reset - tainting kernel
[   96.992044] i915 0000:00:02.0: i915_reset_device timed out, cancelling all in-flight rendering.
[  103.352059] i915 0000:00:02.0: Resetting chip after gpu hang
Comment 1 Octavio 2017-12-14 21:05:33 UTC
This test fail in BXT QA 

igt@gem_evict_everything@swapping-hang

	
IGT-Version: 1.20-g103af72 (x86_64) (Linux: 4.15.0-rc3-drm-tip-ww50-commit-b00330d+ x86_64)
Comment 2 Chris Wilson 2017-12-14 21:09:29 UTC
(In reply to Octavio from comment #1)
> This test fail in BXT QA 
> 
> igt@gem_evict_everything@swapping-hang
> 
> 	
> IGT-Version: 1.20-g103af72 (x86_64) (Linux:
> 4.15.0-rc3-drm-tip-ww50-commit-b00330d+ x86_64)

How? What's the test output? What's the kernel messages?
Comment 3 Octavio 2017-12-15 22:28:13 UTC
Created attachment 136210 [details]
dmesg
Comment 4 Octavio 2017-12-15 22:28:32 UTC
Created attachment 136211 [details]
kernel log
Comment 5 Octavio 2017-12-15 22:30:11 UTC
In addition of the comment 1 

IGT-Version: 1.20-g39ac6b8 (x86_64) (Linux: 4.15.0-rc2-drm-intel-qa-ww49-commit-bdf9b36+ x86_64)
Stack trace:
  #0 [__igt_fail_assert+0x101]
  #1 [test_swapping_evictions+0x15c]
  #2 [<unknown>+0x15c]
Subtest swapping-hang: FAIL (414.474s)

(gem_evict_everything:3071) ioctl-wrappers-CRITICAL: Test assertion failure function gem_execbuf, file ioctl_wrappers.c:604:
(gem_evict_everything:3071) ioctl-wrappers-CRITICAL: Failed assertion: __gem_execbuf(fd, execbuf) == 0
(gem_evict_everything:3071) ioctl-wrappers-CRITICAL: error: -5 != 0
(gem_evict_everything:3068) CRITICAL: Test assertion failure function swapping_evictions, file eviction_common.c:231:
(gem_evict_everything:3068) CRITICAL: Failed assertion: ret == 0
(gem_evict_everything:3068) CRITICAL: error: -5 != 0
Subtest swapping-hang failed.
**** DEBUG ****
(gem_evict_everything:3068) intel-os-DEBUG: Checking 17476 surfaces of size 1048576 bytes (total 18333863936) against RAM + swap
(gem_evict_everything:3068) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:3068) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:3068) intel-os-DEBUG: Test requirement passed: __intel_check_memory(count, size, mode, &required, &total)
(gem_evict_everything:3068) igt-core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(gem_evict_everything:3068) intel-os-DEBUG: Checking 3071 surfaces of size 1048576 bytes (total 3221749760) against RAM
(gem_evict_everything:3068) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:3068) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:3068) intel-os-DEBUG: Test requirement passed: __intel_check_memory(count, size, mode, &required, &total)
(gem_evict_everything:3068) igt-core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(gem_evict_everything:3068) intel-os-DEBUG: Checking 17476 surfaces of size 1048576 bytes (total 18333863936) against RAM + swap
(gem_evict_everything:3068) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:3068) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:3068) intel-os-DEBUG: Test requirement passed: __intel_check_memory(count, size, mode, &required, &total)
(gem_evict_everything:3068) igt-core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(gem_evict_everything:3068) CRITICAL: Test assertion failure function swapping_evictions, file eviction_common.c:231:
(gem_evict_everything:3068) CRITICAL: Failed assertion: ret == 0
(gem_evict_everything:3068) CRITICAL: error: -5 != 0
(gem_evict_everything:3068) igt-core-INFO: Stack trace:
(gem_evict_everything:3068) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(gem_evict_everything:3068) igt-core-INFO:   #1 [test_swapping_evictions+0x15c]
(gem_evict_everything:3068) igt-core-INFO:   #2 [<unknown>+0x15c]

Dmesg shows gpu hang but there is not error collected
cat /sys/class/drm/card0/error
No error state collected
Comment 6 Octavio 2017-12-19 16:11:33 UTC
The below test case still fail on GLK 

igt@gem_evict_everything@swapping-hang

using IGT-Version: 1.20-gc0be331 (x86_64) (Linux: 4.15.0-rc4-drm-intel-qa-ww51-commit-bf5cdf9+ x86_64)

(gem_evict_everything:1913) CRITICAL: Test assertion failure function swapping_evictions, file eviction_common.c:231:
(gem_evict_everything:1913) CRITICAL: Failed assertion: ret == 0
(gem_evict_everything:1913) CRITICAL: error: -5 != 0
Comment 7 Hector Velazquez 2018-01-12 16:00:50 UTC
This tests has a fail on CFL QA 

Tests List:

igt@gem_evict_everything@swapping-hang

======================================
        output sample
======================================
(gem_evict_everything:2254) CRITICAL: Test assertion failure function swapping_evictions, file eviction_common.c:231:
(gem_evict_everything:2254) CRITICAL: Failed assertion: ret == 0
(gem_evict_everything:2254) CRITICAL: error: -5 != 0
(gem_evict_everything:2257) ioctl-wrappers-CRITICAL: Test assertion failure function gem_execbuf, file ioctl_wrappers.c:605:
(gem_evict_everything:2257) ioctl-wrappers-CRITICAL: Failed assertion: __gem_execbuf(fd, execbuf) == 0
(gem_evict_everything:2257) ioctl-wrappers-CRITICAL: error: -5 != 0
Subtest swapping-hang failed.
. . . 

This test has this dmesg-fail message too...
. . .
[   78.374689] Setting dangerous option reset - tainting kernel
[   80.808341] i915 0000:00:02.0: Resetting chip after gpu hang
[   98.855966] i915 0000:00:02.0: Resetting chip after gpu hang
[  100.331939] [drm:guc_read_update_log_buffer] *ERROR* no sub-buffer to capture logs
[  100.344913] [drm:guc_read_update_log_buffer] *ERROR* no sub-buffer to capture logs
[  100.619001] [drm:guc_read_update_log_buffer] *ERROR* no sub-buffer to capture logs
. . .

This is my configuration:

======================================
        Graphic stack
======================================
Component: drm
    tag: libdrm-2.4.88-47-gde807d1
    commit: de807d1a740effe60da62d07dcfeae7c01012d15

Component: cairo
    tag: 1.15.8-76-g6b05938
    commit: 6b0593827b072abd701ea47448981bcc9bdde9f3

Component: intel-gpu-tools
    tag: intel-gpu-tools-1.20-276-gd37369c
    commit: d37369c7146a2ceb332592297d311d501c1c748e

Component: piglit
    tag: piglit-v1
    commit: 8eefd87ed7a7be9b181bbe7d12a6f6c54921d522

======================================
	     Software
======================================
IGT-Version: 1.20-gd37369c (x86_64) (Linux: 4.15.0-rc7-drm-tip-ww2-commit-dbc7615+ x86_64)
Comment 8 Hector Velazquez 2018-01-12 16:02:15 UTC
Created attachment 136681 [details]
Kernel log (comment 7)
Comment 9 Elizabeth 2018-01-15 21:31:55 UTC
Reopening since information has been provided.
Comment 10 Hector Velazquez 2018-02-28 16:18:34 UTC
This tests continue failing on GLK/BXT/CFL QA 

Tests List:

igt@gem_evict_everything@swapping-hang

GLK/BXT: IGT-Version: 1.21-g1fb30f1 (x86_64) (Linux: 4.16.0-rc2-drm-intel-qa-ww8-commit-562dc33+ x86_64)
CFL: IGT-Version: 1.21-gd3dc9c6 (x86_64) (Linux: 4.16.0-rc3-drm-tip-ww9-commit-4d8ce7a+ x86_64)

Output sample:
(gem_evict_everything:5048) CRITICAL: Test assertion failure function swapping_evictions, file eviction_common.c:231:
(gem_evict_everything:5048) CRITICAL: Failed assertion: ret == 0
(gem_evict_everything:5048) CRITICAL: error: -5 != 0
Subtest swapping-hang failed.
Comment 11 Octavio 2018-03-06 17:27:45 UTC
This test has dmesg-fail on CFL QA

gem_evict_everything@swapping-hang 

IGT-Version: 1.21-g68fb759 (x86_64) (Linux: 4.16.0-rc4-drm-intel-qa-ww10-commit-a994c52+ x86_64)

(gem_evict_everything:1509) CRITICAL: Test assertion failure function swapping_evictions, file eviction_common.c:231:
(gem_evict_everything:1509) CRITICAL: Failed assertion: ret == 0
(gem_evict_everything:1509) CRITICAL: error: -5 != 0
Subtest swapping-hang failed.
Comment 12 Jani Saarinen 2018-03-29 07:11:17 UTC
First of all. Sorry about spam.
This is mass update for our bugs. 

Sorry if you feel this annoying but with this trying to understand if bug still valid or not.
If bug investigation still in progress, please ignore this and I apologize!

If you think this is not anymore valid, please comment to the bug that can be closed.
If you haven't tested with our latest pre-upstream tree(drm-tip), can you do that also to see if issue is valid there still and if you cannot see issue there, please comment to the bug.
Comment 13 Elizabeth 2018-04-09 18:34:10 UTC
This is still valid:

[gfx@BXT-1] [~]$ :
./intel-graphics/intel-gpu-tools/tests/gem_evict_everything --r swapping-hang
IGT-Version: 1.22-g8cc6f71 (x86_64) (Linux: 4.16.0-rc7-drm-intel-qa-ww15-commit-1be0731+ x86_64)
(gem_evict_everything:4780) CRITICAL: Test assertion failure function swapping_evictions, file eviction_common.c:231:
(gem_evict_everything:4780) CRITICAL: Failed assertion: ret == 0
(gem_evict_everything:4780) CRITICAL: error: -5 != 0
Stack trace:
  #0 [__igt_fail_assert+0x101]
  #1 [test_swapping_evictions+0x15c]
  #2 [<unknown>+0x15c]
Subtest swapping-hang failed.
**** DEBUG ****
(gem_evict_everything:4780) intel-os-DEBUG: Checking 8,606 surfaces of size 1,048,576 bytes (total 9,028,452,352) against RAM + swap
(gem_evict_everything:4780) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:4780) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:4780) intel-os-DEBUG: Test requirement passed: __intel_check_memory(count, size, mode, &required, &total)
(gem_evict_everything:4780) igt-core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(gem_evict_everything:4780) intel-os-DEBUG: Checking 3,071 surfaces of size 1,048,576 bytes (total 3,221,749,760) against RAM
(gem_evict_everything:4780) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:4780) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:4780) intel-os-DEBUG: Test requirement passed: __intel_check_memory(count, size, mode, &required, &total)
(gem_evict_everything:4780) igt-core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(gem_evict_everything:4780) intel-os-DEBUG: Checking 8,606 surfaces of size 1,048,576 bytes (total 9,028,452,352) against RAM + swap
(gem_evict_everything:4780) drmtest-DEBUG: Test requirement passed: !(fd<0)
(gem_evict_everything:4780) igt-debugfs-DEBUG: Opening debugfs directory '/sys/kernel/debug/dri/0'
(gem_evict_everything:4780) intel-os-DEBUG: Test requirement passed: __intel_check_memory(count, size, mode, &required, &total)
(gem_evict_everything:4780) igt-core-DEBUG: Test requirement passed: !igt_run_in_simulation()
(gem_evict_everything:4780) CRITICAL: Test assertion failure function swapping_evictions, file eviction_common.c:231:
(gem_evict_everything:4780) CRITICAL: Failed assertion: ret == 0
(gem_evict_everything:4780) CRITICAL: error: -5 != 0
(gem_evict_everything:4780) igt-core-INFO: Stack trace:
(gem_evict_everything:4780) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(gem_evict_everything:4780) igt-core-INFO:   #1 [test_swapping_evictions+0x15c]
(gem_evict_everything:4780) igt-core-INFO:   #2 [<unknown>+0x15c]
****  END  ****
Subtest swapping-hang: FAIL (120.038s)
Comment 14 Jani Saarinen 2018-04-23 19:22:12 UTC
Joonas, Chris. How valid test this is. Is part of http://benchsrv.fi.intel.com/archive/intel-gfx-ci/blacklist.txt
Comment 16 Don Hiatt 2019-08-30 17:32:48 UTC
I can't find any evidence that is a still valid bug/test and there's been no activity since 2018-04-23 12:23:12 PDT. I'm going to close this, please re-open if you think this is incorrect, or if it's still occurring please update the details. Thanks.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.